summaryrefslogtreecommitdiffstats
path: root/network/niceshaper/niceshaper.SlackBuild
diff options
context:
space:
mode:
author Michal Bialozor2013-07-12 20:09:45 +0200
committer Erik Hanson2013-07-12 20:09:45 +0200
commit56954fb021d20377159f85f0b0ecac324c190008 (patch)
treea569f3517c639b7aeafa93fb4072eebdab6c1719 /network/niceshaper/niceshaper.SlackBuild
parentc3a19bf016bc447ee37fdafd8728d43945bfa6b9 (diff)
downloadslackbuilds-56954fb021d20377159f85f0b0ecac324c190008.tar.gz
network/niceshaper: Added (dynamic traffic shaper)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'network/niceshaper/niceshaper.SlackBuild')
-rw-r--r--network/niceshaper/niceshaper.SlackBuild112
1 files changed, 112 insertions, 0 deletions
diff --git a/network/niceshaper/niceshaper.SlackBuild b/network/niceshaper/niceshaper.SlackBuild
new file mode 100644
index 0000000000..5d5bf1df20
--- /dev/null
+++ b/network/niceshaper/niceshaper.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for niceshaper
+
+# Copyright 2013 Michal Bialozor, Gdansk, Pomorskie, POLAND
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=niceshaper
+VERSION=${VERSION:-1.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix prefix and bindir
+sed -e "/^PREFIX/s|/usr/local|/usr|" \
+ -e "/^BINDIR/s|/bin|/sbin|" \
+ -i Makefile
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object"| grep ELF | \
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Working dir
+mkdir -p $PKG/var/lib/niceshaper
+
+# Configuration files
+mkdir -p $PKG/etc/niceshaper
+cp -a etc/niceshaper/*.conf $PKG/etc/niceshaper
+
+# Init script
+mkdir -p $PKG/etc/rc.d
+cat $CWD/rc.$PRGNAM > $PKG/etc/rc.d/rc.$PRGNAM.new
+
+# Documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs $PKG/usr/doc/$PRGNAM-$VERSION/html
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Syntax rules
+mkdir -p $PKG/usr/share/mc/syntax
+cp -a editors/mc/niceshaper.syntax $PKG/usr/share/mc/syntax
+mkdir -p $PKG/usr/share/vim/vim73/syntax
+cp -a editors/vim/niceshaper.vim $PKG/usr/share/vim/vim73/syntax
+
+# Installation scripts
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}